Subject: Re: Results for 3.1 20011116 (experimental) testsuite on i686-pc-cygwin
From: "Tim Prince" <[email-masked]>
To: "Billinghurst, David \(CRTS\)" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 21 Nov 2001 07:17:59 -0800

All working well, except that I have not correctly identified the required
version of dejagnu.  With the standard cygwin version of dejagnu, everything
appears to work well except for the g77 tests.  The symptom reminds me of
the time when 'g77 -lm' was invoked, and I've forgotten what to change to
remove the erroneous '-lm.'  I've been trying to build the current version
of dejagnu from ftp://gcc.gnu.org, and it gets multiple declarations of
slave_name in pty_termios.c, apparently indicating that the tangled mess of
#define's is broken for cygwin.

Thanks.
----- Original Message -----
From: "Billinghurst, David (CRTS)" <[email-masked]>
To: "'Tim Prince'" <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, November 18, 2001 5:35 PM
Subject: RE: Results for 3.1 20011116 (experimental) testsuite on
i686-pc-cygwin

> Tim,
>
> As far as I can tell:
>  - unmodified gcc-3.1 cvs
>  - dejagnu-1.4.2 with one patch to /usr/share/dejagnu/target.exp (below)
>  - current cygwin on win2k
>
> Run with
>
> #!/bin/sh
> /usr/local/src/gcc/configure \
>     --enable-threads=posix \
>     --disable-libgcj \
>     --enable-sjlj-exceptions \
>     --with-system-zlib \
>     --disable-nls \
>     --disable-shared > configure.log 2>&1
> make bootstrap > build.log 2>&1 || exit
> make -k check > check.log 2>&1
> make warning.log
> /usr/local/src/gcc/contrib/test_summary -t -i warning.log > summary.txt
>
>
> --- target.exp.orig Fri Oct  5 13:35:27 2001
> +++ target.exp Fri Nov 16 06:31:36 2001
>      # Cygwin cc1 warns about -fpic and -fPIC
>      regsub -all ".*: warning: -f(pic|PIC) ignored for target .*" $text ""
> text
>
> +    # and about -ffunction-sections
> +    regsub -all "(^|\n)\[^\n\].*: -ffunction-sections may affect
debugging
> on some targets*" $text "" text
> +
>      # It might be tempting to get carried away and delete blank lines,
etc.
>      # Just delete *exactly* what we're ask to, and that's it.
>      return $text
>
>
> -----Original Message-----
> From: Tim Prince [mailto:[email-masked]]
> Sent: Monday, 19 November 2001 4:46
> To: Billinghurst, David (CRTS); [email-masked]
> Subject: Re: Results for 3.1 20011116 (experimental) testsuite on
> i686-pc-cygwin
>
>
> Do you have a pointer to the list of modifications required for the test
> setup?  I have just been through a series of losses of configuration, and
my
> g77 test setup had already broken.
>
> Thanks.
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/